import express from 'express';
import cors from 'cors';

import v1 = require('./api/v1/index');

const router = express.Router();

const options: cors.CorsOptions = {
  allowedHeaders: ['Origin', 'Content-Type', 'Accept', 'X-Access-Token'],
  credentials: true,
  methods: 'GET,HEAD,OPTIONS,PUT,PATCH,POST,DELETE',
  origin: '*',
  preflightContinue: true,
};

router.use(cors(options));

router.use('/api/v1', v1.router);

export { router };
