/**
 * sanarlink.service.test.ts
 *
 * @module sanarlink.service.test.ts
 */
import { SanarLinkService } from '../sanarlink.service';
import { SanarLinkInput } from '../TrialLinkInput';

require('dotenv/config');
require('../../../../tests/mocks/msw/index');

describe('sanarlink.service', () => {
  describe('upsertLink', () => {
    it('giving a course_slug and a user_id, should return a sanarlink link', async () => {
      const input: SanarLinkInput = {
        user_id: '12345',
        course_slug: 'course_slug',
      };
      const result = await new SanarLinkService().upsertLink(input);
      expect(result).toEqual(expect.stringContaining('sanar.link'));
    });
  });
});
